ata_dev_init_params
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_dev_init_params — Issue INIT DEV PARAMS command

## Synopsis

`unsigned int ata_dev_init_params (` | struct ata_device * | dev,
| u16 | heads,
| u16 | sectors`)`;

## Arguments

`dev`

  Device to which command will be sent

`heads`

  Number of heads (taskfile parameter)

`sectors`

  Number of sectors (taskfile parameter)

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, AC_ERR_* mask otherwise.

Prev | Up | Next
ata_dev_set_feature | Home | ata_sg_clean